//NAME:Caleb Bird
//ID: 1289680
//??References??
//https://stackoverflow.com/questions/13796451/how-to-extract-a-string-between-two-delimiters

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;

public class TabProcMetaListGen {
    public static void main(String[] args) {
		try{
				
				
			if (args.length != 1) {
				System.out.println("Usage: TabProcMetaListGen <inputFilename> <outputFilename>");
			}
			else {
				String inputFilename = args[0];
				//String outputFilename = args[1];
				    
				System.out.println("Processing: " + inputFilename);
				
				FileReader fileReader = new FileReader(inputFilename);
				BufferedReader buf = new BufferedReader(fileReader);
				//FileWriter fw = new FileWriter(outputFilename);
				String line = null;
				String[] item;

				//Splits into each record
				while ((line = buf.readLine()) != null) {
					
					//Splits by tab, leaves "" for every blank entry
					//Check items to be equal
					//System.out.println(line);
					if(line.contains("<htd:numpages>")){
						String result = line.substring(line.indexOf(">")+1, line.indexOf(">")+2);
						System.out.println(result);						
					}
					if(line.contains("<id>")){
						String result = line.substring(line.indexOf(">")+1, line.indexOf("</"));
						System.out.println(result);
					}
							
				}		
				buf.close();
				//fw.close();
			}
		}catch(Exception e){
			e.printStackTrace();
		}
    }
}

//REFERNECES
//https://www.javatpoint.com/java-filewriter-class
//https://docs.oracle.com/javase/8/docs/api/index.html?java/io/FileWriter.html
